Index: palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90
===================================================================
--- palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90	(revision 4329)
+++ palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90	(revision 4346)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Introduction of wall_flags_total_0, which currently sets bits based on static
+! topography information used in wall_flags_static_0
+! 
+! 4329 2019-12-10 15:46:36Z motisi
 ! Renamed wall_flags_0 to wall_flags_static_0
 ! 
@@ -74,5 +78,5 @@
     USE indices,                                                               &
         ONLY:  nbgp, ngp_sums_ls, nx, nxl, nxlg, nxlu, nxr, nxrg, ny, nys,     &
-               nysv, nysg, nyn, nyng, nzb, nz, nzt, wall_flags_static_0
+               nysv, nysg, nyn, nyng, nzb, nz, nzt, wall_flags_total_0
 
     USE kinds
@@ -802,5 +806,5 @@
                                     ( td_lsa_lpt(k,nt+1) - td_lsa_lpt(k,nt) ) *&
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 0 ) )
                    ENDDO
                 ENDDO
@@ -815,5 +819,5 @@
                                     ( td_lsa_q(k,nt+1) - td_lsa_q(k,nt) ) *    &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 0 ) )
                    ENDDO
                 ENDDO
@@ -836,5 +840,5 @@
                                      ( td_sub_lpt(k,nt+1) - td_sub_lpt(k,nt) )*&
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -849,5 +853,5 @@
                                        ( td_sub_q(k,nt+1) - td_sub_q(k,nt) ) * &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 0 ) )
                       ENDDO
                    ENDDO
@@ -902,5 +906,5 @@
                              + fac * ( td_lsa_lpt(k,nt+1) - td_lsa_lpt(k,nt) )*&
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 0 ) )
              ENDDO
 
@@ -911,5 +915,5 @@
                               + fac * ( td_lsa_q(k,nt+1) - td_lsa_q(k,nt) ) *  &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 0 ) )
              ENDDO
 
@@ -928,5 +932,5 @@
                                  ( td_sub_lpt(k,nt+1) - td_sub_lpt(k,nt) ) *   &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 0 ) )
                 ENDDO
   
@@ -937,5 +941,5 @@
                                  ( td_sub_q(k,nt+1) - td_sub_q(k,nt) ) *       &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 0 ) )
                 ENDDO
 
@@ -1181,5 +1185,5 @@
                       tend(k,j,i) = tend(k,j,i) + tmp_tend *                   &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 1 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 1 ) )
 
                       sums_ls_l(k,6) = sums_ls_l(k,6) + tmp_tend *             &
@@ -1204,5 +1208,5 @@
                       tend(k,j,i) = tend(k,j,i) + tmp_tend *                   &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 2 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 2 ) )
 
                       sums_ls_l(k,7) = sums_ls_l(k,7) + tmp_tend *             &
@@ -1227,5 +1231,5 @@
                       tend(k,j,i) = tend(k,j,i) + tmp_tend *                   &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 0 ) )
 
                       sums_ls_l(k,4) = sums_ls_l(k,4) + tmp_tend *             &
@@ -1250,5 +1254,5 @@
                       tend(k,j,i) = tend(k,j,i) + tmp_tend *                   &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 0 ) )
 
                       sums_ls_l(k,5) = sums_ls_l(k,5) + tmp_tend *             &
@@ -1316,5 +1320,5 @@
                 tend(k,j,i) = tend(k,j,i) + tmp_tend *                         &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 1 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 1 ) )
 
                 sums_ls_l(k,6) = sums_ls_l(k,6) + tmp_tend                     &
@@ -1333,5 +1337,5 @@
                 tend(k,j,i) = tend(k,j,i) + tmp_tend *                         &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 2 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 2 ) )
 
                 sums_ls_l(k,7) = sums_ls_l(k,7) + tmp_tend                     &
@@ -1350,5 +1354,5 @@
                 tend(k,j,i) = tend(k,j,i) + tmp_tend *                         &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 0 ) )
 
                 sums_ls_l(k,4) = sums_ls_l(k,4) + tmp_tend                     &
@@ -1368,5 +1372,5 @@
                 tend(k,j,i) = tend(k,j,i) + tmp_tend *                         &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 0 ) )
 
                 sums_ls_l(k,5) = sums_ls_l(k,5) + tmp_tend                     &
